Skip to main content
`Ctrl`+`K`

# DMTSCheckFromOptions

Check the residual and Jacobian functions using the exact solution by outputting some diagnostic information based on values in the options database

## Synopsis

    #include "petscdmplex.h"
    #include "petscts.h"
    PetscErrorCode DMTSCheckFromOptions(TS ts, Vec u)

## Input Parameters

- ts - the `TS` object

- u - representative `TS` vector

## Note

The user must call `PetscDSSetExactSolution()` beforehand

## Developer Notes

What is the purpose of `u`, does it need to already have a solution or some other value in it?

## See Also

`DMTS`

## Level

developer

## Location

src/ts/utils/dmplexts.c

## Examples

src/ts/tutorials/ex45.c
src/ts/tutorials/ex76.c
src/ts/tutorials/ex77.c
src/ts/tutorials/ex46.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex53.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages